import { LRUCache } from 'lru-cache';
import type { OrchestratorApi } from './OrchestratorApi';
export declare class OrchestratorStorage {
    protected readonly storage: LRUCache<string, OrchestratorApi>;
    constructor(options?: {
        compilerCacheSize?: number;
        maxCompilerCacheKeepAlive?: number;
        updateCompilerCacheKeepAlive?: boolean;
    });
    has(orchestratorId: string): boolean;
    get(orchestratorId: string): OrchestratorApi;
    set(orchestratorId: string, orchestratorApi: OrchestratorApi): LRUCache<string, OrchestratorApi, unknown>;
    clear(): void;
    testConnections(): Promise<[...void[], void][]>;
    testOrchestratorConnections(): Promise<void[]>;
    releaseConnections(): Promise<void>;
}
//# sourceMappingURL=OrchestratorStorage.d.ts.map